Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class Order_PaymentTransaction_CRUD

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.order.Order_PaymentTransaction_CRUD

public class Order_PaymentTransaction_CRUD
extends java.lang.Object

Constructor Summary
`Order_PaymentTransaction_CRUD()`

Method Summary
`static PaymentTransactionPk` | `find(java.sql.Connection connection, java.lang.Object container)`
`static void` | `update(java.sql.Connection connection, java.lang.Object containerKey, java.lang.Object container)` Update 1:1 requires changes in two tables, one for the contained class, the other for the containing class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Order_PaymentTransaction_CRUD

    public Order_PaymentTransaction_CRUD()

Method Detail

### update

    public static void update(java.sql.Connection connection,
                              java.lang.Object containerKey,
                              java.lang.Object container)
                       throws BMPException

  Update 1:1 requires changes in two tables, one for the contained class, the other for the containing class. For the contained class: - see if the instance exists in the database. - if he exists, update him - if he does not exist, create him For the containing class: - update foreign key fields to the contained class. - a database trigger should delete the old instance of the contained class if it was contained by value

  Parameters:
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.

### find

    public static PaymentTransactionPk find(java.sql.Connection connection,
                                            java.lang.Object container)
                                     throws BMPException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved